Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163735 - No /proc/sys/kernel/exec-shield-randomize in 2.6.12-1.1387_FC4
Summary: No /proc/sys/kernel/exec-shield-randomize in 2.6.12-1.1387_FC4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 18:37 UTC by Ian Lance Taylor
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-28 06:47:22 UTC


Attachments (Terms of Use)

Description Ian Lance Taylor 2005-07-20 18:37:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I running FC4 with kernel-2.6.12-1.1387_FC4.  There is no /proc/sys/kernel/exec-shield-randomize file.  Was the randomize feature removed from FC4?  I couldn't find anything in the release notes.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1387_FC4

How reproducible:
Always

Steps to Reproduce:
1. ls -l /proc/sys/kernel/exec-shield-randomize
2.
3.
  

Actual Results:  ls: /proc/sys/kernel/exec-shield-randomize: No such file or directory

Expected Results:  -rw-r--r--  1 root root 0 Jul 20 11:37 /proc/sys/kernel/exec-shield-randomize

Additional info:

Comment 1 Ian Lance Taylor 2005-07-20 18:45:29 UTC
I found out that the file name has apparently been changed to
/proc/sys/kernel/randomize_va_space.  So I guess this is just a release notes
issue.  It needs to be in the release notes so that people can update their
/etc/sysctl.conf file.

Sorry for the noise.

(I tried to change the priority to low, but bugzilla said that only the
submitter could change that field, even though I am the submitter, and I am
logged in.  Odd.)

Comment 2 Dave Jones 2005-07-28 06:47:22 UTC
this functionality got implemented upsream, so the old name became obsolete.
Sadly, not all changes like this get noticed in time for the release notes.



Note You need to log in before you can comment on or make changes to this bug.